Bug 800369 - [abrt] coreutils-8.10-2.fc15: __nanosleep_nocancel: Process /bin/sleep was killed by signal 11 (SIGSEGV)
[abrt] coreutils-8.10-2.fc15: __nanosleep_nocancel: Process /bin/sleep was ki...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
abrt_hash:364ad113c060625ffefd7f943c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 07:09 EST by Michal Toman
Modified: 2015-03-22 20:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 07:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (4.04 KB, text/plain)
2012-03-06 07:09 EST, Michal Toman
no flags Details

  None (edit)
Description Michal Toman 2012-03-06 07:09:14 EST
libreport version: 2.0.9.7.gca25
backtrace_rating: 4
cmdline:        sleep 100
comment:        
crash_function: __nanosleep_nocancel
executable:     /bin/sleep
kernel:         2.6.38.8-32.fc15.i686.PAE
time:           Ne 26. jún 2011, 20:13:03 CEST
uid:            500
username:       mtoman

smolt_data:     Text file, 4135 bytes

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b
:[New LWP 4012]
:Core was generated by `sleep 100'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x009d0424 in __kernel_vsyscall ()
:
:Thread 1 (LWP 4012):
:#0  0x009d0424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x441d43a0 in __nanosleep_nocancel () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x0804b242 in xnanosleep (seconds=100) at xnanosleep.c:111
:        overflow = false
:        ts_sleep = {tv_sec = 100, tv_nsec = 0}
:        __PRETTY_FUNCTION__ = "xnanosleep"
:#3  0x08048f49 in main (argc=2, argv=0xbfa888e4) at sleep.c:147
:        i = 2
:        seconds = <optimized out>
:        ok = <optimized out>
:From        To          Syms Read   Shared Object Library
:0x4414bd10  0x44269c84  Yes         /lib/libc-2.14.so
:0x44114850  0x4412baff  Yes         /lib/ld-2.14.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0xfffffdfc	-516
:ecx            0x0	0
:edx            0x804e4c8	134538440
:ebx            0xbfa887a8	-1079474264
:esp            0xbfa8876c	0xbfa8876c
:ebp            0xbfa887a8	0xbfa887a8
:esi            0xb781a688	-1216239992
:edi            0x0	0
:eip            0x9d0424	0x9d0424 <__kernel_vsyscall+16>
:eflags         0x246	[ PF ZF IF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x009d0414 <+0>:	push   %ecx
:   0x009d0415 <+1>:	push   %edx
:   0x009d0416 <+2>:	push   %ebp
:   0x009d0417 <+3>:	mov    %esp,%ebp
:   0x009d0419 <+5>:	sysenter 
:   0x009d041b <+7>:	nop
:   0x009d041c <+8>:	nop
:   0x009d041d <+9>:	nop
:   0x009d041e <+10>:	nop
:   0x009d041f <+11>:	nop
:   0x009d0420 <+12>:	nop
:   0x009d0421 <+13>:	nop
:   0x009d0422 <+14>:	jmp    0x9d0417 <__kernel_vsyscall+3>
:=> 0x009d0424 <+16>:	pop    %ebp
:   0x009d0425 <+17>:	pop    %edx
:   0x009d0426 <+18>:	pop    %ecx
:   0x009d0427 <+19>:	ret    
:End of assembler dump.

build_ids:
:c339fe523901035323145e7474746f224c324df1
:63a40b2ed92c4356a3d2c75da0d6b9a1c6b17414
:e2115d643e7e6a8f07da04d58ab0ad6cd38e344e

dso_list:
:/bin/sleep coreutils-8.10-2.fc15.i686 (Fedora Project) 1308949351
:/lib/ld-2.14.so glibc-2.14-3.i686 (Fedora Project) 1308949220
:/lib/libc-2.14.so glibc-2.14-3.i686 (Fedora Project) 1308949220
:/usr/lib/locale/locale-archive glibc-common-2.14-3.i686 (Fedora Project) 1308949215

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-mtoman
:XDG_SESSION_ID=1
:HOSTNAME=dhcp-25-243.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-KR5AMk/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=671d797df7837ac69e0668cd00000012-1309106035.139413-1633110907
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=52428805
:GNOME_KEYRING_CONTROL=/tmp/keyring-KR5AMk
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=IBus
:USER=mtoman
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-KR5AMk/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1658,unix/unix:/tmp/.ICE-unix/1658
:USERNAME=mtoman
:PATH=/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mtoman/bin
:MAIL=/var/spool/mail/mtoman
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibus
:PWD=/home/mtoman
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1650
:LANG=sk_SK.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/mtoman
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mtoman
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-XLuS07sFOe,guid=784c5dc3115a14e577fb538a00000034
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mtoman
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mtoman-pdJrMX/database
:_=/bin/sleep

maps:
:009d0000-009d1000 r-xp 00000000 00:00 0          [vdso]
:08048000-0804e000 r-xp 00000000 08:02 533319     /bin/sleep
:0804e000-0804f000 rw-p 00005000 08:02 533319     /bin/sleep
:08375000-08396000 rw-p 00000000 00:00 0          [heap]
:44114000-44131000 r-xp 00000000 08:02 801359     /lib/ld-2.14.so
:44131000-44132000 r--p 0001d000 08:02 801359     /lib/ld-2.14.so
:44132000-44133000 rw-p 0001e000 08:02 801359     /lib/ld-2.14.so
:44135000-442ba000 r-xp 00000000 08:02 801360     /lib/libc-2.14.so
:442ba000-442bc000 r--p 00184000 08:02 801360     /lib/libc-2.14.so
:442bc000-442bd000 rw-p 00186000 08:02 801360     /lib/libc-2.14.so
:442bd000-442c0000 rw-p 00000000 00:00 0 
:b761a000-b781a000 r--p 00000000 08:02 399830     /usr/lib/locale/locale-archive
:b781a000-b781b000 rw-p 00000000 00:00 0 
:b7834000-b7835000 rw-p 00000000 00:00 0 
:bfa69000-bfa8a000 rw-p 00000000 00:00 0          [stack]
:dfgasg

var_log_messages:
:Jun 26 20:09:47 dhcp-25-243 abrt[3860]: saved core dump of pid 3859 (/bin/sleep) to /var/spool/abrt/ccpp-2011-06-26-20:09:47-3859.new/coredump (339968 bytes)
:Jun 26 20:13:03 dhcp-25-243 abrt[4013]: saved core dump of pid 4012 (/bin/sleep) to /var/spool/abrt/ccpp-2011-06-26-20:13:03-4012.new/coredump (339968 bytes)
Comment 1 Michal Toman 2012-03-06 07:09:22 EST
Created attachment 567929 [details]
File: smolt_data
Comment 2 Michal Toman 2012-03-06 07:10:10 EST
ABRT testing => NOTABUG

Note You need to log in before you can comment on or make changes to this bug.